#
# spec file for package dkimproxy
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define dkimproxy_prefix /usr/share/dkimproxy
Summary:        DKIMproxy is an SMTP-proxy that implements the DKIM and DomainKeys standards
License:        GPL-2.0
Group:          Productivity/Networking/Email/Utilities

Name:           dkimproxy
Version:        1.4.1
Release:        lp150.1.3
Url:            http://dkimproxy.sourceforge.net/
Source:         %{name}-%{version}.tar.gz
Source1:        %{name}.init
Patch0:         dkimproxy-1.4.1-avoid-perl-provides.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  git-core
BuildRequires:  perl-Mail-DKIM
BuildRequires:  perl-Net-Server
BuildRequires:  pwdutils
PreReq:         pwdutils %insserv_prereq
Requires:       git-core
Requires:       perl-Mail-DKIM
Requires:       perl-Net-Server
Requires:       perl(IO::Socket::INET6)

%description
DKIMproxy is an SMTP-proxy that signs and/or verifies emails, using the
Mail::DKIM module. It is designed for Postfix, but should work with any
mail server. It comprises two separate proxies, an "outbound" proxy for
signing outgoing email, and an "inbound" proxy for verifying signatures
of incoming email. With Postfix, the proxies can operate as either
Before-Queue or After-Queue content filters.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
# ---------------------------------------------------------------------------

%build
./configure --prefix %{dkimproxy_prefix}
# ---------------------------------------------------------------------------

%install
%makeinstall
chmod 644 $( find %{buildroot}/%{dkimproxy_prefix} -name "*.pm" )
mkdir -p %{buildroot}{%{_sbindir},/etc/init.d}
install -m755  %{SOURCE1} %{buildroot}/etc/init.d/%{name}
ln -sf ../../etc/init.d/%{name} %{buildroot}/usr/sbin/rc%{name}
# ---------------------------------------------------------------------------
### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}
# ---------------------------------------------------------------------------

%pre
/usr/sbin/groupadd -r dkim  2> /dev/null || :
/usr/sbin/useradd -r -g dkim -s /bin/false -c "DKIMproxy Daemon" -d /var/spool/dkim dkim 2> /dev/null || :
# ---------------------------------------------------------------------------

%preun
%stop_on_removal %{name}
# ---------------------------------------------------------------------------

%post

%postun
%restart_on_update %{name}
%insserv_cleanup

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO smtpprox.ChangeLog smtpprox.README smtpprox.TODO 
%{dkimproxy_prefix}
%{_sbindir}/rcdkimproxy
%config /etc/init.d/%{name}
# ---------------------------------------------------------------------------

%changelog
* Mon Nov 19 2012 dimstar@opensuse.org
- Fix useradd and groupadd invocation: -o is useless without -u and
  newer versions of pwdutils/shadowutils fail on this now.
* Mon Jun 11 2012 coolo@suse.com
- avoid providing perl modules that are not in the source, rather
  hard require the needed module
* Sat Apr 21 2012 robert.munteanu@gmail.com
- Updated to upstream version 1.4.1
  - There is a new option for setting the i= tag on generated
  signatures.
  - The $sender macro, as it is called, is not the only new macro.
  See the NEWS file for details.
* Tue Feb 15 2011 chris@computersalat.de
- remove author
* Fri Sep  5 2008 varkoly@suse.de
- remove fillup_and_insserv from spec file
* Thu Aug 14 2008 crrodriguez@suse.de
- fix init scripts
- fix installation  of init scripts
* Sat Jul 26 2008 varkoly@suse.de
- Initial Version of dkimporxy
